;
;	>>> SillyPack - AD:6502 Loader by JAC! <<<
;
;	Thanks to xxl for this support regarding xBIOS.
;	Output file extension must be patched in "xbios-3.0.com" manually.
;	The resulting XAUTORUN file my be located in the root directory of the disk.
;	Rest of the demo consists of XAUTORUN, ARSPART2, ARSPART4, ARSPART4.
;
;	@com.wudsn.ide.asm.outputfile=XAUTORUN.ad6

xBIOS			= $800
xBIOS_LOAD_FILE 	= xBIOS+$06
xBIOS_CHANGE_DIR	= xBIOS+$2d

	org  $580

	.proc loader

	ldy #<dir1
	ldx #>dir1
	jsr xBIOS_CHANGE_DIR
	bcs error

	ldy #<dir2
	ldx #>dir2
	jsr xBIOS_CHANGE_DIR
	bcs error

	ldy #<xexfile
	ldx #>xexfile
	jsr xBIOS_LOAD_FILE
	bcs error
error	mva #$34 712
	lda 764
	cmp #$ff
	beq error
	jmp $e477

dir1	.byte c'DEMO       '
dir2	.byte c'AD6502     '
xexfile .byte c'XAUTORUN   '
	.endp

	.print *

	run loader
