
; phaeron -- Yesterday, 11:53 PM
; Vantage Point's startup sequence is so broken it's amazing it runs at all.
; With AspeQt, it crashes on my 800XL but works on my 130XE due to the different power-on RAM patterns.
; The problem is that it runs a ton of garbage instructions with an uninitialized IRQ vector,
; and since that's under the OS ROM, it doesn't get cleared on startup.
; A lot of the garbage code is run near the base of page zero,
; which is why it is also sensitive to the loader used.
;

;3E00: 20 6F 84          JSR $846F
;3E03: 4C 03 3E          JMP $3E03
;
;846F: A2 FF     L846F   LDX #$FF
;8471: 9A                TXS
;8472: 78                SEI
;8473: A9 00             LDA #$00
;8475: 8D 00 D4          STA DMACTL
; 	opt h+
;	org 580
;	.byte 1

	opt h-
	ins "VANTAGE-Original.xex",+0,$8CC1
	ins "VANTAGE-Original.xex",+$8CC2,6	// Skip byte at $8cc1

	opt h+
	org $3e00
	jsr $8472			;Fix JSR target

	org 580
	.byte 1				;Force cold start since it writes to $1400-...

