;	>> Dither << by g0blinish
;
;	Size-fixed version with regular load address by JAC! for SillyPack2k14.
;
;	@com.wudsn.ide.asm.outputfoldermode=SOURCE_FOLDER

maindl	= $3000


	org $2000

start
;-----------------------------------create sinustable------------------------------
sine = $2100

;initSineTable:
;	ldy #$3f+6
;	lda #$00
;zero
;	sta $90-5,y
;	dey
;	cpy #$3F
;	bne zero
;	tax ; ldx #$00
	ldy #$3f			;Zero page at $80-$FF can be assume to be empty when loading from DOS
	ldx #$00

; Accumulate the delta (normal 16-bit addition)

;valuehi=$CB
;deltahi=$CC
;deltalo=$CD
;deltahi=$CE

gensinlp
	lda $CB ; #$00
	clc
deltahi adc $CE;#$00
	sta $CB ; valuehi+1
valuelo lda $CC ; #$00
deltalo adc $CD;#$00
	sta $CC ; valuelo+1
; Reflect the value around for a sine wave

	sta sine+$40,x
	sta sine+$00,y
	eor #$ff
	sta sine+$c0,x
	sta sine+$80,y
;;;  eor #$ff
;;;  sta sine+$40,x
;;;  sta sine+$00,y
; Increase the delta, which creates the "acceleration" for a parabola
	lda $CE;deltahi+1
	clc
	adc #$02   ; this value adds up to the proper amplitude
	sta $CE;deltahi+1
	bcc nodelta
	inc $CD ; deltalo+1
nodelta
	inx
	dey
	bpl gensinlp
	
;mm
; jmp mm
;-------------gen picture-----------------------------------------------------------------------
; ldx #$00   x=$40
	iny ; ldy #$00, Y=$FF after last loop

copychars
	lda 57344+72*8-$40,x
adr1	sta $8000,y
adr3	sta $8F00,y
	iny

	lda 57344+74*8-$40,x
adr2	sta $8000,y
adr4	sta $8F00,y
	iny
	bne copychars
	inc adr1+2
	inc adr2+2

	dec adr3+2
	dec adr4+2

	inx
	cpx #$48
	bne copychars
	
;---------------setup DLI-------
	NMIEN  = $D40E    ; NMI Enable
	VDSLST = $0200    ; DLI Vector

;-------------
; Enable DLIs
;-------------
	LDA #<DLIRTN
	STA VDSLST
	LDX #>DLIRTN
	STX VDSLST+1

SETVBV      = $E45C
;	ldx #>vbin		;Same page as above
	ldy #<vbin
	lda #$06
	jsr SETVBV

;	LDA #$C0
;	STA NMIEN

;----------plasma!--------------
plasma
	lda #<maindl
	sta savelist+1

	lda #>maindl
	sta savelist+2


;plsmbra
;	CB, CC CD

sv1
	lda $ce
	clc
	adc #$3
	sta $ce
	sta $cb


	lda $cf
	clc
	adc #$2
	sta $cf
	sta $cc


	ldx #$C0
	stx nmien

plsm2
	lda #$80+$40+$10+$0F
	jsr savelist

	lda #$00
	jsr savelist

	dec $CB
	dec $CB
	inc $CC

	ldy $CC
	lda sine,y

; sta AUDF1
; stx AUDF1+2
; sta AUDC1
; sta AUDC1+2


	ldy $CB

	clc
	adc sine,y
	sec
	ror
	and #$8F
; ora #$80
	jsr savelist

	dex
	bne plsm2

;-rest of DispList
	lda #$41
	jsr savelist
	lda #<mydl
	sta $230
	jsr savelist
	lda #>mydl
	sta $231
	jsr savelist

	jmp plasma

savelist
	sta maindl
	inc savelist+1
	bne quitsave
	inc savelist+2
quitsave
	rts
;------------DLI vector ---------------------
DLIRTN

WSYNC    =   $D40A
HSCROL   =   $D404

	pha
	inc hpos+1
hpos	lda sine
;Fails the same way on real hardware -- early write to HSCROL causes abnormal playfield DMA and derails the display list.
	sta WSYNC
	and #$07
	sta HSCROL
	pla
	rti

;--------------vbi
SYSVBV   =   $E45F
vbin
;	pha
	lda $CD
	sta hpos+1
	inc $CD
	inc $CD
;	pla
	JMP SYSVBV

mydl
;.byte 112
	.byte 112,112+$80
	.byte $01
	.word maindl

	run start
