; Ni z Gruchy ni z Pietruchy for SDX
; (c) 2014 by Tristesse

; Wild for SV2k14
;
; Changelog:
; 2014/11/26: rev.0.1: bmploader, vbxe mode only
; 2014/11/29: scenario
; 2014/12/01: rev.0.2: fix in player; RLE and blitlist

; 	opt h+ o+ ?+

;	icl "sdxsmb.icl"
;	icl "sdxdef.icl"

	icl "osequ.icl"
;	icl "sdxequ.icl"
	icl "vbxefx.icl"
;	icl "vbxefxs.icl"
	icl "hardware.icl"


VBXEBASE	= $d640

CLS = 125
EOL = 155
BELL = 253
BKSP = 126

NOTFXCORE = 1

_RC_ENABLE = 1
_RC_DISABLE = 3
_RC_SHUTOFF = 5
_RC_REACTIVATE = 7
_RC_CLEARSCREEN = 9

KEYESC = 28
KEYMASK = %00111111
KEYNONE = 255

XSCRWIDTH = 320
XSCRHEIGHT = 195
XSCRSIZE = XSCRWIDTH*XSCRHEIGHT
XPALETTE = 3

IMIRQ = 0
VBLKI = 6

COVOXBASE = $d600

;adresy w przestrzeni vbxe
XDL = 0
XSCR1 = XDL+13
XSCR2 = XSCR1+XSCRSIZE
XSCR3 = XSCR2+XSCRSIZE
XSCR4 = XSCR3+XSCRSIZE
XSCR5 = XSCR4+XSCRSIZE
XSCR6 = XSCR5+XSCRSIZE
XWAV = XSCR6+XSCRSIZE

XSCRAD = MEMAC_B_WINDOW+XDL+6

;zpg

;DINDEX = $57
PALNTS = $62

; sys
;VIMIRQ = $216
SETVBV = $e45c


	org $80
;devicead .ds 2
;vbxefxs .ds 2
;vbxefxsexists .ds 1
;_rawcon .ds 2
;_rawconexists .ds 1

;scrmode .ds 1
breakflag .ds 1

black .ds 1
rasterlen .ds 2
rastercount .ds 1
rasterwidth .ds 2
xoffset .ds 1
yoffset .ds 1


vramad .ds 3
adr .ds 2
ras .ds 2
tmp .ds 2
cntr .ds 3
rasterad .ds 3
wavendad .ds 3
index .ds 1



	org $2000

	.proc main

	jsr checkvbxefx
	jsr saveshadows

	sec
	lda RMARGN
	sbc #36-1
	lsr
	sta LMARGN
	jsr printprologue

;	jsr initialize
;	jsr checkcl
	jsr calcdelay

	jsr PRINTF
	.db '3'
	.db 0
	ldx #<XSCR1
	ldy #>XSCR1
	lda #^XSCR1
	jsr setvramadr
	lda #<bmp1
	ldx #>bmp1
	jsr bmpload

	jsr PRINTF
	.db BKSP,'2'
	.db 0
	ldx #<XSCR2
	ldy #>XSCR2
	lda #^XSCR2
	jsr setvramadr
	lda #<bmp2
	ldx #>bmp2
	jsr bmpload

	jsr PRINTF
	.db BKSP,'1'
	.db 0
	ldx #<XSCR3
	ldy #>XSCR3
	lda #^XSCR3
	jsr setvramadr
	lda #<bmp3
	ldx #>bmp3
	jsr bmpload

	jsr PRINTF
	.db BKSP,'0'
	.db 0
	ldx #<XSCR4
	ldy #>XSCR4
	lda #^XSCR4
	jsr setvramadr
	lda #<bmp4
	ldx #>bmp4
	jsr bmpload

	jsr PRINTF
	.db BKSP,'/'
	.db 0
	ldx #<XSCR5
	ldy #>XSCR5
	lda #^XSCR5
	jsr setvramadr
	lda #<bmp5
	ldx #>bmp5
	jsr bmpload

	jsr PRINTF
	.db BKSP,'#@%!*#$'
	.db 0
	ldx #<XSCR6
	ldy #>XSCR6
	lda #^XSCR6
	jsr setvramadr
	lda #<bmp6
	ldx #>bmp6
	jsr bmpload

	jsr PRINTF
:6 .db BKSP
	.db 'aL@ M4 k074'
	.db 0
	ldx #<XWAV
	ldy #>XWAV
	lda #^XWAV
	jsr setvramadr
	lda #<wav
	ldx #>wav
	jsr wavload

	jsr PRINTF
:11 .db BKSP
	.db 'SQRT(PI*R^2)'
	.db 0
	lda #100
	adc RTCLOK+2
	cmp RTCLOK+2
	bne *-2

	jsr makepalette
	jsr makexdlist

	jsr scron

	lda #KEYNONE
	sta KBCODES
	lda #0
	sta ATRACT
	jsr wait4vblk

	jsr initscenario
	jsr callplayer

	jsr scroff

	jsr restoreshadows
	jmp printepilogue

;bmp1ad .dw bmp1
;bmp2ad .dw bmp2
;bmp3ad .dw bmp3
;bmp4ad .dw bmp4
;bmp5ad .dw bmp5
;bmp6ad .dw bmp6
;wavad .dw wav

bmp1 .db 'D:GRU1.BMP',EOL
bmp2 .db 'D:GRU2.BMP',EOL
bmp3 .db 'D:GRU3.BMP',EOL
bmp4 .db 'D:GRU4.BMP',EOL
bmp5 .db 'D:GRU5.BMP',EOL
bmp6 .db 'D:GRU6.BMP',EOL
wav .db 'D:GRU.WAV',EOL


printprologue:
	jsr PRINTF
	.byte EOL
	.byte 'Dawno, dawno temu',EOL
	.byte '    w odleglej galaktyce',EOL
;	.byte 0
;	jsr PRINTF
	.db $20,$20,$20,$20,$20,$20,$20,$20,$20,$15,$20,$09,$15,$15,$20,$20,$20,$20,$20,$20,$09,$0f,$09,$09,$15,$0f,$20,$20,$20,$09,$0f,EOL
	.db $20,$20,$20,$20,$20,$99,$89,$8f,$09,$15,$20,$20,$8c,$0c,$20,$99,$89,$0c,$99,$89,$09,$0f,$09,$99,$19,$20,$99,$8b,$8c,$99,$8b,$8c,EOL
	.db $20,$20,$20,$20,$20,$99,$19,$99,$20,$a0,$20,$0b,$95,$95,$0c,$99,$8b,$8c,$99,$19,$99,$8b,$8c,$0b,$95,$95,$99,$19,$99,$20,$15,$8c,EOL
	.db $20,$20,$20,$09,$0f,$20,$20,$20,$20,$95,$20,$20,$20,$09,$0f,$20,$20,$20,$20,$20,$20,$20,$20,$15,$20,$0f,$20,$20,$20,$20,$20,$20,$15,EOL
	.db $a0,$95,$19,$15,$0f,$20,$95,$a0,$0c,$20,$a0,$95,$19,$15,$0f,$a0,$95,$20,$8f,$89,$0c,$a0,$0c,$15,$20,$0f,$a0,$95,$20,$a0,$15,$19,$a0,$15,$19,EOL
	.db $a0,$20,$19,$99,$19,$20,$8c,$8b,$15,$20,$a0,$15,$19,$99,$19,$a0,$95,$95,$99,$19,$20,$a0,$20,$a0,$15,$19,$a0,$15,$0f,$a0,$20,$19,$09,$15,$19,EOL
	.db $20,$20,$20,$0b,$0c,$20,$20,$20,$20,$20,$a0,$20,$20,$0b,$0c,$95,$95,EOL
;	.byte 0
;	jsr PRINTF
	.byte 'obrzydliwe ptaszeta zacwierkaly',EOL
	.byte 'iz GREY postanowil zorganizowac',EOL
	.byte 'kolejna edycje SV 2k14.',EOL
	.byte 'Zespolowo kolektywnie kontynuujemy',EOL
	.byte 'rozpoczeta ongi tradycje laczac',EOL
	.byte 'jednakowoz nowoczesnosc w domu',EOL
	.byte 'i w zagrodzie. I DLATEGO',EOL
;	.byte 0
;	jsr PRINTF
	.db $20,$20,$20,$20,$20,$20,$20,$20,$20,$20,$15,$20,$20,$20,$20,$20,$20,$09,$15,$0f,$20,$20,$20,$20,$09,$15,$0f,$09,$15,$0f,EOL
	.db $20,$20,$20,$20,$95,$8f,$89,$09,$15,$09,$15,$20,$89,$95,$0b,$a0,$95,$99,$8b,$15,$0f,$89,$95,$20,$99,$15,$15,$99,$8b,$15,$0f,EOL
	.db $20,$20,$20,$20,$20,$99,$19,$99,$19,$20,$a0,$20,$95,$8f,$19,$a0,$20,$99,$8b,$0f,$20,$95,$8f,$19,$15,$15,$a0,$99,$8b,$0f,EOL
	.db $20,$20,$20,$20,$20,$0b,$0c,$0b,$0c,$20,$95,$0b,$95,$95,$0c,$95,$20,$20,$20,$20,$0b,$95,$95,$0c,EOL
	.byte 'z duma dzis Wam prezentuje OTO',EOL
	.byte EOL
	.byte '(tym razem na VBXE)...  '
	.byte 0
	rts

printepilogue:
	jsr PRINTF
	.db CLS
	.db 'Wrocimy jeszcze...',EOL
	.db 0
	rts

;initialize:
;	ldx #0	;vbxefxssymbolad
;	ldy #0	;vbxefxssymbolad+1
;	lda #0	;jsr findsymbol
;	stx vbxefxs
;	sty vbxefxs+1
;	sta vbxefxsexists
;
;	ldx #0	;_rawconsymbolad
;	ldy #0	;_rawconsymbolad+1
;	lda #0	;jsr findsymbol
;	stx _rawcon
;	sty _rawcon+1
;	sta _rawconexists
;
;	ldx #<COVOXBASE
;	ldy #>COVOXBASE
;	stx devicead
;	sty devicead+1
;	rts

;findsymbol:
;	stx adr
;	sty adr+1
;	lda #0
;	sta EXTENDED
;	ldy #8-1
;?copy:
;	lda (adr),y
;	sta SYMBOL+2,y
;	dey
;	bpl ?copy
;	jsr S_LOOKUP
;	beq ?notfound
;	lda #0
;	sta EXTENDED
;	ldx SYMBOL+11
;	ldy SYMBOL+12
;	lda #$ff
;	rts
;?notfound:
;	ldx #0
;	ldy #0
;	lda #0
;	rts
;
;vbxefxssymbolad .dw vbxefxssymbol
;_rawconsymbolad .dw _rawconsymbol
;
;vbxefxssymbol .db 'VBXEFXS '
;_rawconsymbol .db '_RAWCON '


checkvbxefx:
	lda VBXEBASE+CORE_VERSION
	eor #FX_PROPER_CORE_VERSION
	bne ?bad
	lda VBXEBASE+MINOR_REVISION
	and #$f0
	eor #FX_PROPER_MINOR_REVISION
	bne ?bad
	rts
?bad:
;	.byte 2
	jsr PRINTF
	.db 'VBXE FX 1.2xa core required',BELL,'!',EOL
	.db 0
	lda #NOTFXCORE
	jmp U_FAIL


;checkcl:
;  jsr U_GETADR	;Use fixed COVOXADR instead
;  beq ?ret
;  sta devicead
;  stx devicead+1
;?ret:
;	rts


saveshadows:
	lda LMARGN
	sta store.?lmargn
	lda COLBAKS
	sta store.?colbaks
	lda DSPFLG
	sta store.?dspflg
	lda DMACTLS
	sta store.?dmactls
	lda VBXEBASE+MEMC
	sta store.?memactls
	lda VBXEBASE+MEMS
	sta store.?memasel

;	bit vbxefxsexists
;	bpl ?s_vbxe
;
;?vbxefxs:
;	ldy #MEMB
;	lda (vbxefxs),y
;	sta store.?membctls
;	ldy #VIDEO_CONTROL
;	lda (vbxefxs),y
;	sta store.?videoctls
;	ldy #XDL_ADR
;	lda (vbxefxs),y
;	sta store.?xdladrs
;	iny
;	lda (vbxefxs),y
;	sta store.?xdladrs+1
;	iny
;	lda (vbxefxs),y
;	sta store.?xdladrs+2
;
;?s_vbxe:
	lda #0
	sta VBXEBASE+MEMB
	sta VBXEBASE+MEMC
	sta VBXEBASE+MEMS
	rts

restoreshadows:
	lda store.?dspflg
	sta DSPFLG
	lda store.?dmactls
	sta DMACTLS
	lda store.?colbaks
	sta COLBAKS
	lda store.?lmargn
	sta LMARGN
	lda store.?memactls
	sta VBXEBASE+MEMC
	lda store.?memasel
	sta VBXEBASE+MEMS

;	bit vbxefxsexists
;	bpl ?s_vbxe
;
;?vbxefxs:
;	lda store.?membctls
;	ldy #MEMB
;	sta (vbxefxs),y
;	sta VBXEBASE+MEMB
;	lda store.?videoctls
;	ldy #VIDEO_CONTROL
;	sta (vbxefxs),y
;	sta VBXEBASE+VIDEO_CONTROL
;	lda store.?xdladrs
;	ldy #XDL_ADR
;	sta (vbxefxs),y
;	lda store.?xdladrs+1
;	iny
;	sta (vbxefxs),y
;	lda store.?xdladrs+2
;	iny
;	sta (vbxefxs),y
;	rts
;
;?s_vbxe:
	lda #0
	sta VBXEBASE+MEMB
;  sta VBXEBASE+VIDEO_CONTROL
	rts

wait4vblk:
	lda RTCLOK+2
?wait:
	cmp RTCLOK+2
	beq ?wait
	rts

; ------------ ladowanie .BMP ------------

;IN: XA-filenameaddr
bmpload:
	sta FILE_P
	stx FILE_P+1

	jsr memacoff

	lda #4
	sta OPMODE
	lda #$80
	sta FATR1
	jsr FOPEN

	;load bitmap header
	ldx #<bmpheader.?len
	ldy #>bmpheader.?len
	stx FAUX4
	sty FAUX5
	ldx #<bmpheader
	ldy #>bmpheader
	stx FAUX1
	sty FAUX2
	jsr FREAD

	;load info header
	ldx #<infoheader.?len
	ldy #>infoheader.?len
	stx FAUX4
	sty FAUX5
	ldx #<infoheader
	ldy #>infoheader
	stx FAUX1
	sty FAUX2
	jsr FREAD

	;load colormap
	jsr loadpalette
	jsr finddarkest

	;load rasterdata
	jsr calcrasterlength
	stx rasterlen
	sty rasterlen+1
	jsr calcrasterwidth
	sne
	dey
	dex
	txa
	eor #$ff
	sta rasterwidth
	tya
	eor #$ff
	sta rasterwidth+1
	jsr calcrastercount
	sta rastercount

	ldx rasterlen
	ldy rasterlen+1
	stx FAUX4
	sty FAUX5
	ldx #<rasterdata
	ldy #>rasterdata
	stx FAUX1
	sty FAUX2

	jsr initraster
?loadraster:
	jsr processraster
	bne ?loadraster

	jsr FCLOSE
	clc
	rts

loadpalette:
;  jsr blackpalette
	sec
	lda bmpheader.?dataoffset
	sbc #<(bmpheader.?len+infoheader.?len)
	sta FAUX4
	lda bmpheader.?dataoffset+1
	sbc #>(bmpheader.?len+infoheader.?len)
	sta FAUX5
	ldx #<colortable
	ldy #>colortable
	stx FAUX1
	sty FAUX2
	jsr FREAD
	clc
	rts

.if 0
	.proc blackpalette
	lda #0
	tay

loop	sta colortable,y
	sta colortable+$100,y
	sta colortable+$200,y
	sta colortable+$300,y
	iny
	bne loop
	rts
		.endp
.endif

	.proc finddarkest

	ldx #<colortable
	ldy #>colortable
	stx ras
	sty ras+1
	ldx #$ff
	stx tmp
	inx
	stx black
	ldy #0
loop
	lda (ras,x)  ;B
	jsr incras
	ora (ras,x)  ;G
	jsr incras
	ora (ras,x)  ;R
	jsr incras
	jsr incras
	cmp tmp
	bcs next1
	sta tmp
	sty black

next1	iny
	bne loop
	rts
	.endp

	.proc incras
	inc ras
	sne
	inc ras+1
	rts
	.endp
	 

	.proc calcrasterlength
	lda infoheader.?bitcount
	ldx #<%00001110
	ldy #>%00001110
	jsr shift
	pha

	ldx #<%00111110
	ldy #>%00111110
	lda infoheader.?bitcount
	jsr shift
	clc
	adc infoheader.?width
	tax
	lda #0
	adc infoheader.?width+1
	tay

	pla
	jsr shift
	and #%11111100
	tax
	rts

	.proc shift
	sta tmp
	txa
	sty tmp+1
	ldx tmp
	beq ret
loop1
	lsr tmp+1
	ror
	lsr tmp
	bne loop1
	ldy tmp+1
ret
	rts
		.endp	;End of shift
		.endp	;End of calcrasterlength

calcrastercount:
	lda #XSCRHEIGHT
	cmp infoheader.?height
	lda #0
	sbc infoheader.?height+1
	lda #0
	sbc infoheader.?height+2
	lda #0
	sbc infoheader.?height+3
	lda #XSCRHEIGHT
	scc
	lda infoheader.?height
	rts

	.proc calcrasterwidth
	lda #<XSCRWIDTH
	cmp infoheader.?width
	lda #>XSCRWIDTH
	sbc infoheader.?width+1
	lda #0
	sbc infoheader.?width+2
	lda #0
	sbc infoheader.?width+3
	ldy #>XSCRWIDTH
	ldx #<XSCRWIDTH
	bcc ?ret
	ldy infoheader.?width+1
	ldx infoheader.?width
?ret:
	rts
		.endp

initraster:
	sec
	lda #<XSCRWIDTH
	sbc infoheader.?width
	tax
	lda #>XSCRWIDTH
	sbc infoheader.?width+1
	tay
	lda #0
	sbc infoheader.?width+2
	lda #0
	sbc infoheader.?width+3
	bcs ?xoff
	ldx #0
	ldy #0
?xoff:
	tya
	lsr
	txa
	ror
	sta xoffset

	sec
	lda #XSCRHEIGHT
	sbc infoheader.?height
	tax
	lda #0
	sbc infoheader.?height+1
	lda #0
	sbc infoheader.?height+2
	lda #0
	sbc infoheader.?height+3
	bcs ?yoff
	ldx #0
?yoff:
	txa
	lsr
	sta yoffset

	clc
	lda rastercount
	adc yoffset
	sta FACA+3
	lda #0
	sta FACA+2
	sta FACA+1
	sta FACA
	ldx #<XSCRWIDTH
	ldy #>XSCRWIDTH
	stx FACB+3
	sty FACB+2
	sta FACB+1
	sta FACB
	jsr MUL_32
	clc
	lda vramad
	adc RESI+3
	pha
	lda vramad+1
	adc RESI+2
	tax
	lda vramad+2
	adc RESI+1
	tay

	clc
	pla
	adc xoffset
	bcc ?skipadr
	inx
	sne
	iny
?skipadr:
	sta rasterad
	stx rasterad+1
	sty rasterad+2

.if 0
	ldx #<-XSCRSIZE
	ldy #>-XSCRSIZE
	lda #^-XSCRSIZE
	stx cntr
	sty cntr+1
	sta cntr+2

	jsr memacon
	ldx #0
	lda black
?clear:
	sta (adr,x)
	jsr incvramadr
	inc cntr
	bne ?clear
	inc cntr+1
	bne ?clear
	inc cntr+2
	bne ?clear
	jmp memacoff
.else
	rts
.endif

	.proc processraster
	lda rasterwidth
	sta cntr
	lda rasterwidth+1
	sta cntr+1

	ldx #<rasterdata
	ldy #>rasterdata
	stx ras
	sty ras+1

	sec
	lda rasterad
	sbc #<XSCRWIDTH
	sta rasterad
	tax
	lda rasterad+1
	sbc #>XSCRWIDTH
	sta rasterad+1
	tay
	lda rasterad+2
	sbc #^XSCRWIDTH
	sta rasterad+2
	jsr setvramadr
	
	jsr memacoff

	jsr FREAD
	lda FAUX4
	cmp rasterlen
	jne ?tooshort
	lda FAUX5
	cmp rasterlen+1
	jne ?tooshort

	jsr memacon

	ldx #0
?copy:
	lda (ras,x)
	jsr incras
	sta (adr,x)
	jsr incvramadr

	inc cntr
	bne ?copy
	inc cntr+1
	bne ?copy

	jsr memacoff

	dec rastercount
?tooshort:
	rts
	.endp

;bmpheaderad .dw bmpheader
;infoheaderad .dw infoheader
;colortablead .dw colortable
;rasterdataad .dw rasterdata

; ------------- ladowanie WAV ------------

wavload:
	sta FILE_P
	stx FILE_P+1

	jsr memacoff

	lda #4
	sta OPMODE
	lda #$80
	sta FATR1
	jsr FOPEN

	;load waveform header
	ldx #<wavheader.?len
	ldy #>wavheader.?len
	stx FAUX4
	sty FAUX5
	ldx #<wavheader
	ldy #>wavheader
	stx FAUX1
	sty FAUX2
	jsr FREAD

.if 0
	sec
	lda #<MEMAC_B_WINDOW_BEGIN
	sbc #<waveformdata	;MEMLO
	sta FAUX4
	lda #>MEMAC_B_WINDOW_BEGIN
	sbc #>waveformdata	;MEMLO+1
	sta FAUX5
.else
	ldx #<(MEMAC_B_WINDOW_BEGIN-waveformdata)
	ldy #>(MEMAC_B_WINDOW_BEGIN-waveformdata)
	stx FAUX4
	sty FAUX5
.endif
	ldx #<waveformdata
	ldy #>waveformdata
	stx FAUX1
	sty FAUX2

?load:
	jsr FREAD
	php
	jsr memacon
	ldx #<waveformdata
	ldy #>waveformdata
	stx ras
	sty ras+1
	lda FAUX4
	eor #$ff
	tax
	lda FAUX5
	eor #$ff
	tay
	inx
	sne
	iny
	stx cntr
	sty cntr+1

	ldx #0
?copy:
	lda (ras,x)
	jsr incras
	sta (adr,x)
	jsr incvramadr
;	lda vramad+2
	inc cntr
	bne ?copy
	inc cntr+1
	bne ?copy

	jsr memacoff
	plp
	bpl ?load

	jsr FCLOSE

	ldx vramad
	ldy vramad+1
	lda vramad+2
	stx wavendad
	sty wavendad+1
	sta wavendad+2
	rts

;wavheaderad .dw wavheader
;waveformdataad .dw waveformdata


; --------------- obsluga okna memac ---------------

memacoff:
	lda #0
;	bit vbxefxsexists
;	bpl ?skipvbxefxs
;	ldy #MEMB
;	sta (vbxefxs),y
;?skipvbxefxs:
	sta VBXEBASE+MEMB
	rts

setvramadr:
	stx vramad
	sty vramad+1
	sta vramad+2

;IN: vramad address
;OUT: adr-base ram addres
memacon:
	jsr setmemacbbank
	lda vramad
	sta adr
	lda vramad+1
	and #%00111111
	ora #>MEMAC_B_WINDOW_BEGIN
	sta adr+1
	rts

incvramadr:
	inc vramad
	bne ?skipv
	inc vramad+1
	bne ?skipv
	inc vramad+2
?skipv:

	inc adr
	bne ?skip
	inc adr+1
	bpl ?skip  ;MEMAC_B_WINDOW_END
	lsr adr+1
	pha
	jsr setmemacbbank
	pla
?skip:
	rts

setmemacbbank:
	lda vramad+1
	asl
	sta tmp
	lda vramad+2
	rol
	asl tmp
	rol
	ora #MBCE
;	bit vbxefxsexists
;	bpl ?skipvbxefxs
;	ldy #MEMB
;	sta (vbxefxs),y
;?skipvbxefxs:
	sta VBXEBASE+MEMB
	rts

incadr:
	inc adr
	sne
	inc adr+1
	rts

makexdlist:
	ldx #<XDL
	ldy #>XDL
	lda #^XDL
	jsr setvramadr
	
	ldx #0
	
	lda #<(XDLC_OVOFF+XDLC_MAPOFF+XDLC_RPTL)
	sta (adr,x)
	jsr incadr
	lda #>(XDLC_OVOFF+XDLC_MAPOFF+XDLC_RPTL)
	sta (adr,x)
	jsr incadr

	lda #(240-XSCRHEIGHT)/2-1   ;empty lines count
	sta (adr,x)
	jsr incadr

	lda #<(XDLC_GMON+XDLC_MAPOFF+XDLC_RPTL+XDLC_OVADR+XDLC_ATT+XDLC_END)
	sta (adr,x)
	jsr incadr
	lda #>(XDLC_GMON+XDLC_MAPOFF+XDLC_RPTL+XDLC_OVADR+XDLC_ATT+XDLC_END)
	sta (adr,x)
	jsr incadr

	lda #XSCRHEIGHT-1   ;overlay lines count
	sta (adr,x)
	jsr incadr

	lda #0   ;overlay address
	sta (adr,x)
	jsr incadr
	lda #0
	sta (adr,x)
	jsr incadr
	lda #0
	sta (adr,x)
	jsr incadr

	lda #<XSCRWIDTH  ;overlay step
	sta (adr,x)
	jsr incadr
	lda #>XSCRWIDTH
	sta (adr,x)
	jsr incadr

	lda #(OVW_NORMAL+(XPALETTE<<OVPAL))  ;overlay width + palette
	sta (adr,x)
	jsr incadr
	lda #%11111111  ;overlay highest priority over all
	sta (adr,x)

	jmp memacoff


	.proc makepalette
	lda #XPALETTE
	sta VBXEBASE+PSEL
	ldx #<colortable
	ldy #>colortable
	stx ras
	sty ras+1

	ldx #0
	ldy #0
loop5
	sty VBXEBASE+CSEL
	lda (ras,x)
	pha
	jsr incras
	lda (ras,x)
	pha
	jsr incras
	lda (ras,x)
	sta VBXEBASE+CR
	pla
	sta VBXEBASE+CG
	pla
	sta VBXEBASE+CB
	jsr incras
	jsr incras
	iny
	bne loop5
	rts
	.endp


;wlacza ekran dla antica blokuje dla cpu
	.proc scron
	lda #$00
	sta COLBAKS
	sta DMACTLS

;	bit vbxefxsexists
;	bpl ?s_vbxe
;
;?vbxefxs:
;	lda #<XDL
;	ldy #XDL_ADR
;	sta (vbxefxs),y
;	lda #>XDL
;	iny
;	sta (vbxefxs),y
;	lda #^XDL
;	iny
;	sta (vbxefxs),y
;	
;	lda #VC_XDL_ENABLED+VC_NO_TRANS
;	ldy #VIDEO_CONTROL
;	sta (vbxefxs),y
;	rts
;
;?s_vbxe:
;	bit _rawconexists
;	bpl ?vbxeonly
;	lda DINDEX
;	sta scrmode
;	ldy #_RC_DISABLE
;	jsr call_rawconfn
;
;?vbxeonly:
	ldx #<XDL
	ldy #>XDL
	lda #^XDL
	stx VBXEBASE+XDL_ADR
	sty VBXEBASE+XDL_ADR+1
	sta VBXEBASE+XDL_ADR+2
	
	lda #VC_XDL_ENABLED+VC_NO_TRANS
	sta VBXEBASE+VIDEO_CONTROL
	rts
	.endp

;call_rawconfn:
;	lda (_rawcon),y
;	sta adr
;	iny
;	lda (_rawcon),y
;	sta adr+1
;	jmp (adr)

scroff:
	lda #0
	sta VBXEBASE+VIDEO_CONTROL

;	bit _rawconexists
;	bpl ?vbxeonly
;	lda #%00001100
;	sta ICAX1Z
;	lda scrmode
;	sta ICAX2Z
;	ldy #_RC_ENABLE
;	jmp call_rawconfn
;
;?vbxeonly:
	rts



; -------------- player -------------

callplayer:
	ldx #<(VBXEBASE+MEMB)	;vbxemembad
	ldy #>(VBXEBASE+MEMB)	;vbxemembad+1
	stx switch.vbxemembl
	sty switch.vbxemembh

	ldx #<COVOXBASE	;devicead
	ldy #>COVOXBASE	;devicead+1
	stx switch.ch1adl
	sty switch.ch1adh
	inx
	stx switch.ch2adl
	sty switch.ch2adh
	inx
	stx switch.ch3adl
	sty switch.ch3adh
	inx
	stx switch.ch4adl
	sty switch.ch4adh

	ldx wavendad
	ldy wavendad+1
	lda wavendad+2
	jsr calcvramadr
	stx switch.check.smpendl
	sty switch.check.smpendm
	sta switch.check.smpendh

	lda #$ff
	sta breakflag

	sei
	ldx VIMIRQ
	ldy VIMIRQ+1
	stx store.?vimirq
	sty store.?vimirq+1
	ldx VVBLKI
	ldy VVBLKI+1
	stx store.?vvblki
	sty store.?vvblki+1
	ldy #<irqroutine
	ldx #>irqroutine
	lda #IMIRQ
	jsr SETVBV
	ldy #<nmiroutine
	ldx #>nmiroutine
	lda #VBLKI
	jsr SETVBV
	lda #%00000000
	sta IRQEN
	lda #%10000000
	sta IRQEN
	cli

	ldx #<XWAV
	ldy #>XWAV
	lda #^XWAV
	jsr calcvramadr
	jsr player

	ldy store.?vvblki
	ldx store.?vvblki+1
	lda #VBLKI
	jsr SETVBV
	ldy store.?vimirq
	ldx store.?vimirq+1
	lda #IMIRQ
	jsr SETVBV
	lda IRQENS
	sta IRQEN
	cli
	rts

nmiroutine:
	lda CONSOL
	and #%111
	eor #%111
	bne exitnmi
	lda SKSTAT
	and #%1100
	eor #%1100
	bne exitnmi
	bit breakflag
	bpl exitnmi

	jsr scenario

	pla
	tay
	pla
	tax
	pla
	rti

exitnmi:
	pla
	pla
	pla

	pla
	pla
	pla
	rts

irqroutine:
	bit IRQST
	bmi exitirq
	pha
	lda #%00000000
	sta IRQEN
	sta breakflag
	pla

exitirq:
	rti

;AYX-begin sample
player:
	sta bank

reset:
	stx switch.smpadl
	sty switch.smpadm
	sta switch.check.smpadh

	.proc switch
vbxemembl = *+1
vbxemembh = *+2
	sta $ffff   ;4

	clc        ;2
delay = *+1
	lda #-(82/9+1) ;2
loop2
	bit VCOUNT ;4
	adc #1     ;2
	bcc loop2   ;2/3

;54 cykle
smpadl = *+1
smpadm = *+2
	lda $ffff   ;4

ch1adl = *+1
ch1adh = *+2
	sta $ffff   ;4
ch2adl = *+1
ch2adh = *+2
	bit $ffff   ;4
ch3adl = *+1
ch3adh = *+2
	sta $ffff   ;4
ch4adl = *+1
ch4adh = *+2
	sta $ffff   ;4

	inc smpadl  ;6
	bne check   ;3
	inc smpadm
	bpl check
	lsr smpadm
	inc check.smpadh

	.proc check
	lda smpadl  ;4
smpendl = *+1
	cmp #$ff    ;2
	lda smpadm  ;4
smpendm = *+1
	sbc #$ff    ;2
	lda smpadh  ;4
smpendh = *+1
	sbc #$ff    ;2
smpadh = *+1
	lda #$ff    ;2
	scs         ;2
	jmp switch  ;3
	.endp

	.endp

wait:
	lda index
	beq wait

bank = *+1
	lda #$ff
	jmp reset

	.proc calcdelay
	ldx RTCLOK+2
	cpx RTCLOK+2
	beq *-2
	ldx VCOUNT
	cpx VCOUNT
	beq *-3

	sec         ;2
	lda #0      ;2
	ldx VCOUNT  ;4
?loop:
	adc #0      ;2
	cpx VCOUNT  ;4
	beq ?loop   ;3

	sta tmp
	lda #180    ;148/210 - 11kHz/15kHz
	sta tmp+1
	lda #0
	ldx #8
	lsr tmp
?mul:
	bcc ?skip
	clc
	adc tmp+1
?skip:
	ror
	ror tmp
	dex
	bne ?mul
	sta tmp+1

	sec
	sbc #3+4
	eor #$ff
	sta switch.delay
	rts
	.endp

	
;nmiroutinead .dw nmiroutine
;irqroutinead .dw irqroutine
;vbxemembad .dw VBXEBASE+MEMB

;AYX-addr
calcvramadr:
	sty tmp
	pha
	tya
	and #%00111111
	ora #>MEMAC_B_WINDOW_BEGIN
	tay
	pla
	asl tmp
	rol
	asl tmp
	rol
	ora #MBCE
	rts

initscenario:
	lda #0
	sta switch.check.smpadh  ;hak bo smpadh liczony jest pozniej w callplayer
	ldx #1
	sta index
	stx cntr

scenario:
	dec cntr
	bne ?ret

	ldx index
	lda #MBCE
	sta VBXEBASE+MEMB
	lda xscrad_tab,x
	sta XSCRAD
	lda xscrad_tab+1,x
	sta XSCRAD+1
	lda xscrad_tab+2,x
	sta XSCRAD+2
	lda switch.check.smpadh
	sta VBXEBASE+MEMB

	clc
	txa
	adc #3
	cmp #6*3
	scc
	lda #0
	sta index

	ldx #60*2
	lda PALNTS
	seq
	ldx #50*2
	stx cntr

?ret:
	rts

	icl "gru-DOS.asm"
 
xscrad_tab:
	.long XSCR1
	.long XSCR2
	.long XSCR3
	.long XSCR4
	.long XSCR5
	.long XSCR6

; -------------- bufory -------------

;FXS	.ds $28

	.local store
?colbaks .ds 1
?dspflg .ds 1
?dmactls .ds 1
;?videoctls .ds 1
?memasel .ds 1
?memactls .ds 1
;?membctls .ds 1
;?xdladrs .ds 3
?vvblki .ds 2
?vimirq .ds 2
?lmargn .ds 1
	.endl


; Buffer for filename processing
;fnamebuf .ds 64

; Buffer for .BMP header
	.local bmpheader
?signature .ds 2
?filesize .ds 4
?reserved .ds 4
?dataoffset .ds 4
?len = *-bmpheader
	.endl

	.local infoheader
?size .ds 4
?width .ds 4
?height .ds 4
?planes .ds 2
?bitcount .ds 2
?compression .ds 4
?imagesize .ds 4
?xpixelspermeter .ds 4
?ypixelspermeter .ds 4
?colorsused .ds 4
?colorsimportant .ds 4
?redmask .ds 4
?greenmask .ds 4
?bluemask .ds 4
?alphamask .ds 4
?cstype .ds 4
?redx .ds 4
?redy .ds 4
?redz .ds 4
?greenx .ds 4
?greeny .ds 4
?greenz .ds 4
?bluex .ds 4
?bluey .ds 4
?bluez .ds 4
?gammared .ds 4
?gammagreen .ds 4
?gammablue .ds 4
?len = *-infoheader
	.endl

	.local colortable
	.ds 256*4
?len = *-colortable
	.endl

	.local wavheader
?riffsign .ds 4
?riffsize .ds 4
?wavesign .ds 4
?fmtsign .ds 4
?fmtsize .ds 4
?compression .ds 2
?channels .ds 2
?samplerate .ds 4
?avgbytesps .ds 4
?align .ds 2
?signbitsps .ds 2
?extra .ds 2
?datasign .ds 4
?datasize .ds 4

?len = *-wavheader
	.endl

rasterdata:
waveformdata:

	.endp

	run main
