
bufadr   equ $15
dskfms   equ $18
dskutl   equ $1A

S_FLAG   EQU $700
SDXVER   EQU $701
SDXREV   EQU $702
JKERNEL  EQU $703
BLOCK_IO EQU $706
JMISC    EQU $709
JLSIO    EQU $70C
;SIOIDX   EQU $70F  ;Sector IO InDeX. - $070f-$0714 free (place for 2 jumps)
JHWCTRL  EQU $715
SIOHAND  EQU $718
SLVTAB   EQU $720
LDFTAB   EQU $730
DEVTAB   EQU $740
HANDTAB  EQU $750
fhandle	equ $0760
SIOCBIDX EQU $760
DEVICE   EQU $761
NAME     EQU $762
NAMES    EQU $76D
fmode	equ $778
OPMODE   EQU $778
FATR1    EQU $779
FATR2    EQU $77A
DATE     EQU $77B
TIME     EQU $77E
DATESET  EQU $781
FAUX1    EQU $782
FAUX2    EQU $783
FAUX3    EQU $784
FAUX4    EQU $785
FAUX5    EQU $786
SYSCALL  EQU $787
			;$788 free?
DIRBUF   EQU $789
DIRFATR  EQU $789
DIRF1SEC EQU $78A
DIRFLEN  EQU $78C
DIRFNAME EQU $78F
DIRFDATE EQU $79A
DIRFTIME EQU $79D
PATH     EQU $7A0
DOSVECT  EQU $7E0
JHDOSINI EQU $7E0
VDOS     EQU $7E3
VCIO     EQU $7E5
VEDIT    EQU $7E7
VCRUNCH  EQU $7E9   ;Vector to CRUNCH line. Wektor wejcia do procedury obrbki wstpnej wiersza polece.
;JTEMP    EQU $7EB
JFSYMBOL EQU $7EB
JMDVECT  EQU $7EE
JEXT_ON  EQU $7F1
JEXT_OFF EQU $7F4
JEXT_SW  EQU $7F7
JCAR_SW  EQU $7FA
JCAR_OLD EQU $7FD

******************
BANKSIZE EQU 8192

        
******************
* Vectors under ROM

highvect equ $FFC0
jgettd   equ $ffc0
jsettd   equ $ffc3
jtdon    equ $ffc6
jfmttd   equ $ffc9
jxcomli  equ $ffd2
jkeyon   equ $ffd5

******************
_err_memory_conflict	equ $b3
_err_disk_corrupt	equ $b5
